postgresql-libpq-0.9.3.0: low-level binding to libpq

Copyright | (c) 2010 Grant Monroe, (c) 2011 Leon P Smith
License | BSD3
Safe Haskell | Safe
Language | Haskell98

Database.PostgreSQL.LibPQ.Internal

Description

This module exports the data constructor for the database connection object so that people may create their own foreign bindings to libpq functions that may not exist yet in vanilla postgresql-libpq.

Synopsis

- data Connection = Conn !(ForeignPtr PGconn) !(MVar NoticeBuffer)
- withConn :: Connection -> (Ptr PGconn -> IO b) -> IO b
- data PGconn
- data CNoticeBuffer
- type NoticeBuffer = Ptr CNoticeBuffer

# Documentation

data Connection #

`Connection` encapsulates a connection to the backend.

Constructors

Conn !(ForeignPtr PGconn) !(MVar NoticeBuffer) |

Instances

Eq Connection # |
Methods (==) :: Connection -> Connection -> Bool # (/=) :: Connection -> Connection -> Bool #

withConn :: Connection -> (Ptr PGconn -> IO b) -> IO b #

data PGconn #

data CNoticeBuffer #

type NoticeBuffer = Ptr CNoticeBuffer #